Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265248 - kde-base/kopete-3.5.10 x11-libs/qt-3:3 to be built with opengl
Summary: kde-base/kopete-3.5.10 x11-libs/qt-3:3 to be built with opengl
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2009-04-07 06:18 UTC by Nick Malakhov
Modified: 2009-05-27 19:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Malakhov 2009-04-07 06:18:46 UTC
in ebuild kde-base/kopete-3.5.10 there is a nise string 

# The kernel_linux? ( ) conditional dependencies are for webcams, not supported
# on other kernels AFAIK

and then

pkg_setup() {
    if use kernel_linux && ! built_with_use x11-libs/qt:3 opengl; then
        eerror "To support Video4Linux webcams in this package is required to have"
        eerror "x11-libs/qt:3 compiled with OpenGL support."
        eerror "Please reemerge x11-libs/qt:3 with USE=\"opengl\"."
        die "Please reemerge x11-libs/qt:3 with USE=\"opengl\"."
    fi
}

this beautiful "use" is not swithable, so kopete force me rebuild qt:3 with USE="opengl" on any linux even if I have no any cameras or opengl support at all. I think, it is not a correct behavior.

Reproducible: Always

Steps to Reproduce:
Comment 1 Patrick 2009-05-14 07:36:28 UTC
same problem here even after reemerge of qt with USE="opengl" the kopete package wont install.

 emerge -av x11-libs/qt

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-libs/qt-4.4.2  USE="opengl -dbus -qt3support" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) x11-libs/qt-4.4.2
 * checking ebuild checksums ;-) ...                                                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                [ ok ]
>>> Unpacking source...
>>> Source unpacked in /var/tmp/portage/x11-libs/qt-4.4.2/work
>>> Compiling source in /var/tmp/portage/x11-libs/qt-4.4.2/work ...
>>> Source compiled.
>>> Test phase [not enabled]: x11-libs/qt-4.4.2

>>> Install qt-4.4.2 into /var/tmp/portage/x11-libs/qt-4.4.2/image/ category x11-libs
>>> Completed installing qt-4.4.2 into /var/tmp/portage/x11-libs/qt-4.4.2/image/


>>> Installing x11-libs/qt-4.4.2
 * checking 0 files for package collisions
>>> Safely unmerging already-installed instance...
No package files given... Grabbing a set.
>>> Original instance of package unmerged safely.
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.


>>> Failed to emerge kde-base/kopete-3.5.9, Log file:

>>>  '/var/tmp/portage/kde-base/kopete-3.5.9/temp/build.log'

 * Messages for package kde-base/kopete-3.5.9:

 * To support Video4Linux webcams in this package is required to have
 * x11-libs/qt:3 compiled with OpenGL support.
 * Please reemerge x11-libs/qt:3 with USE="opengl".
 *
 * ERROR: kde-base/kopete-3.5.9 failed.
 * Call stack:
 *               ebuild.sh, line   48:  Called pkg_setup
 *     kopete-3.5.9.ebuild, line   65:  Called die
 * The specific snippet of code:
 *              die "Please reemerge x11-libs/qt:3 with USE="opengl"."
 *  The die message:
 *   Please reemerge x11-libs/qt:3 with USE="opengl".
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kopete-3.5.9/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kopete-3.5.9/temp/die.env'.
 *



is there a way to get emerge kde-meta working?



Comment 2 Nick Malakhov 2009-05-14 07:41:51 UTC
(In reply to comment #1)
> is there a way to get emerge kde-meta working?
> 

You still can create an overlay ebuild of kopete 
Comment 3 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 19:16:46 UTC
Added v4l2 flag for webcams, in kopete-3.5.10-r4 (will hit tree in a couple of hours when i finish with it, now available in kde3 overlay)